import React, {useState, useEffect} from 'react'
import {OrderDetails, SearchOrder} from 'components'
import { OrderService } from 'services';
import { Order } from 'Order';
import { useAllOrders } from 'hooks'
import {
    Table,
    Thead,
    Tbody,
    Tfoot,
    Tr,
    Th,
    Td,
    TableCaption,
  } from "@chakra-ui/react"

const OrderIndexPage = () => {
    const { orders } = useAllOrders();


    const orderDetailsArr = orders.map((order: Order, idx: any) => {
        return <Tr key={idx}><OrderDetails
            date={order.orderCreatedAt} 
            orderNumber={order.id}
            status={order.orderStatus}
            /></Tr>
    })

    return (
        <div className="table-div">
            <SearchOrder orders={orders}/>
            <div className="index-table">
                <Table variant="striped" colorScheme="messenger" size="md">
                    <Thead>
                        <Tr>
                            <Th>Order number</Th>
                            <Th>Created</Th>
                            <Th>Order Status</Th>
                        </Tr>
                    </Thead>
                    <Tbody>
                        {orderDetailsArr}
                    </Tbody>
                </Table>
            </div>
        </div>
    )
}

export default OrderIndexPage
